# Uses of Class
org.eclipse.jdt.core.dom.EnhancedForStatement

Packages that use EnhancedForStatement
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of EnhancedForStatement in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return EnhancedForStatement
Modifier and Type
Method
Description
`EnhancedForStatement`
AST.`newEnhancedForStatement()`
Creates a new unparented enhanced for statement node owned by this AST.
Methods in org.eclipse.jdt.core.dom with parameters of type EnhancedForStatement
Modifier and Type
Method
Description
`void`
ASTVisitor.`endVisit(EnhancedForStatement node)`
End of visit the given type-specific AST node.
`boolean`
ASTMatcher.`match(EnhancedForStatement node, Object other)`
Returns whether the given node and the other object match.
`boolean`
ASTVisitor.`visit(EnhancedForStatement node)`
Visits the given type-specific AST node.